Bug 829849 - Unable to run rhc setup in Ruby 1.9
Unable to run rhc setup in Ruby 1.9
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 12:44 EDT by Clayton Coleman
Modified: 2015-05-14 21:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:27:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-06-07 12:44:09 EDT
In 1.9 ruby, when trying to run the wizard, I get this error:

/home/clayton/.rvm/gems/ruby-1.9.3-p194/gems/rhc-0.94.1/lib/rhc/wizard.rb:565:in `create_config_stage': undefined method `cp' for File:Class (NoMethodError)
	from /home/clayton/.rvm/gems/ruby-1.9.3-p194/gems/rhc-0.94.1/lib/rhc/wizard.rb:43:in `block in run'
	from /home/clayton/.rvm/gems/ruby-1.9.3-p194/gems/rhc-0.94.1/lib/rhc/wizard.rb:41:in `each'
	from /home/clayton/.rvm/gems/ruby-1.9.3-p194/gems/rhc-0.94.1/lib/rhc/wizard.rb:41:in `run'
	from /home/clayton/.rvm/gems/ruby-1.9.3-p194/gems/rhc-0.94.1/bin/rhc:67:in `<top (required)>'
	from /home/clayton/.rvm/gems/ruby-1.9.3-p194/bin/rhc:19:in `load'
	from /home/clayton/.rvm/gems/ruby-1.9.3-p194/bin/rhc:19:in `<main>'

Looks like File::cp does not existing in Ruby 1.9
Comment 1 Meng Bo 2012-06-08 07:00:32 EDT
cannot verify this bug since we do not get the latest rhc client, wait for new build to try
Comment 2 Meng Bo 2012-06-11 05:53:14 EDT
Checked this issue with latest rhc client rhc-0.94.3,
Issus has been fixed.

Note You need to log in before you can comment on or make changes to this bug.